org.richfaces.resource.optimizer.faces

## Class FacesContextImpl

- java.lang.Object
- - javax.faces.context.FacesContext
  - - org.richfaces.resource.optimizer.faces.FacesContextImpl

-     public class FacesContextImpl
      extends javax.faces.context.FacesContext

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacesContextImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMessage(String clientId, javax.faces.application.FacesMessage message)`
    `javax.faces.application.Application` | `getApplication()`
    `Map<Object,Object>` | `getAttributes()`
    `Iterator<String>` | `getClientIdsWithMessages()`
    `javax.el.ELContext` | `getELContext()`
    `ExternalContextImpl` | `getExternalContext()`
    `javax.faces.application.FacesMessage.Severity` | `getMaximumSeverity()`
    `Iterator<javax.faces.application.FacesMessage>` | `getMessages()`
    `Iterator<javax.faces.application.FacesMessage>` | `getMessages(String clientId)`
    `javax.faces.render.RenderKit` | `getRenderKit()`
    `boolean` | `getRenderResponse()`
    `boolean` | `getResponseComplete()`
    `javax.faces.context.ResponseStream` | `getResponseStream()`
    `javax.faces.context.ResponseWriter` | `getResponseWriter()`
    `javax.faces.component.UIViewRoot` | `getViewRoot()`
    `void` | `release()`
    `void` | `renderResponse()`
    `void` | `responseComplete()`
    `void` | `setResponseStream(javax.faces.context.ResponseStream responseStream)`
    `void` | `setResponseWriter(javax.faces.context.ResponseWriter responseWriter)`
    `void` | `setViewRoot(javax.faces.component.UIViewRoot root)`

    - ### Methods inherited from class javax.faces.context.FacesContext

      `getCurrentInstance, getCurrentPhaseId, getExceptionHandler, getMessageList, getMessageList, getNamingContainerSeparatorChar, getPartialViewContext, getResourceLibraryContracts, isPostback, isProcessingEvents, isProjectStage, isReleased, isValidationFailed, setCurrentInstance, setCurrentPhaseId, setExceptionHandler, setProcessingEvents, setResourceLibraryContracts, validationFailed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FacesContextImpl

          public FacesContextImpl()

  - ### Method Detail

    - #### getApplication

          public javax.faces.application.Application getApplication()

      Specified by:
        `getApplication` in class `javax.faces.context.FacesContext`

    - #### getClientIdsWithMessages

          public Iterator<String> getClientIdsWithMessages()

      Specified by:
        `getClientIdsWithMessages` in class `javax.faces.context.FacesContext`

    - #### getExternalContext

          public ExternalContextImpl getExternalContext()

      Specified by:
        `getExternalContext` in class `javax.faces.context.FacesContext`

    - #### getMaximumSeverity

          public javax.faces.application.FacesMessage.Severity getMaximumSeverity()

      Specified by:
        `getMaximumSeverity` in class `javax.faces.context.FacesContext`

    - #### getMessages

          public Iterator<javax.faces.application.FacesMessage> getMessages()

      Specified by:
        `getMessages` in class `javax.faces.context.FacesContext`

    - #### getMessages

          public Iterator<javax.faces.application.FacesMessage> getMessages(String clientId)

      Specified by:
        `getMessages` in class `javax.faces.context.FacesContext`

    - #### getRenderKit

          public javax.faces.render.RenderKit getRenderKit()

      Specified by:
        `getRenderKit` in class `javax.faces.context.FacesContext`

    - #### getRenderResponse

          public boolean getRenderResponse()

      Specified by:
        `getRenderResponse` in class `javax.faces.context.FacesContext`

    - #### getResponseComplete

          public boolean getResponseComplete()

      Specified by:
        `getResponseComplete` in class `javax.faces.context.FacesContext`

    - #### getResponseStream

          public javax.faces.context.ResponseStream getResponseStream()

      Specified by:
        `getResponseStream` in class `javax.faces.context.FacesContext`

    - #### setResponseStream

          public void setResponseStream(javax.faces.context.ResponseStream responseStream)

      Specified by:
        `setResponseStream` in class `javax.faces.context.FacesContext`

    - #### getResponseWriter

          public javax.faces.context.ResponseWriter getResponseWriter()

      Specified by:
        `getResponseWriter` in class `javax.faces.context.FacesContext`

    - #### setResponseWriter

          public void setResponseWriter(javax.faces.context.ResponseWriter responseWriter)

      Specified by:
        `setResponseWriter` in class `javax.faces.context.FacesContext`

    - #### getViewRoot

          public javax.faces.component.UIViewRoot getViewRoot()

      Specified by:
        `getViewRoot` in class `javax.faces.context.FacesContext`

    - #### setViewRoot

          public void setViewRoot(javax.faces.component.UIViewRoot root)

      Specified by:
        `setViewRoot` in class `javax.faces.context.FacesContext`

    - #### addMessage

          public void addMessage(String clientId,
                        javax.faces.application.FacesMessage message)

      Specified by:
        `addMessage` in class `javax.faces.context.FacesContext`

    - #### release

          public void release()

      Specified by:
        `release` in class `javax.faces.context.FacesContext`

    - #### renderResponse

          public void renderResponse()

      Specified by:
        `renderResponse` in class `javax.faces.context.FacesContext`

    - #### responseComplete

          public void responseComplete()

      Specified by:
        `responseComplete` in class `javax.faces.context.FacesContext`

    - #### getAttributes

          public Map<Object,Object> getAttributes()

      Overrides:
        `getAttributes` in class `javax.faces.context.FacesContext`

    - #### getELContext

          public javax.el.ELContext getELContext()

      Overrides:
        `getELContext` in class `javax.faces.context.FacesContext`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.